<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

require_once("lib/Crontab.inc");
require_once("lib/System.inc");

// Set default
if ( $hSubMenu == '' ) {
  $hSubMenu = 'license_information';
}
if ( $hFunction == '' ) {
  $hFunction = 'show';
}

?>

<table width="100%" border="1" cellpadding="3" cellspacing="0">
  <tr>
  <?php

  foreach ( $gMenuStructure['configuation']['submenu'] as $submenu => $values ) {

    if ( $values['active'] === true ) {

			$url = "index.php?f=show&o=configuration&s=" . $submenu;
			$target = '';
			if ( $values['link'] != '' ) {
				$url = $values['link'];
				$target = 'target="_blank"';
			}
			?><td align="center"><a href="<?php print $url; ?>" <?php print $target; ?>><?php print $values['title']; ?></a></td><?php
    }
  }
  ?>
  </tr>
</table>

<h1>MySQL Ops Center Configuration</h1>

<?php

if ( $hSubMenu == 'ssh_key' ) {
  include('configuration.show.ssh_key.php');
}
elseif ( $hSubMenu == 'moc_server' ) {
  include('configuration.show.moc_server.php');
}
elseif ( $hSubMenu == 'alerts' ) {
  include('configuration.show.alerts.php');
}
elseif ( $hSubMenu == 'license_information' ) {
  include('configuration.show.license_information.php');
}
elseif ( $hSubMenu == 'crontab' ) {
  include('configuration.show.crontab.php');
}
elseif ( $hSubMenu == 'user' ) {
  include('user.show.php');
}
else {
  $rc = 690;
  print "<p>Submenu $hSubMenu is not implemented (rc=$rc).</p>\n";
}

?>
