<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

require_once("lib/Global.inc");
require_once("lib/Vip.inc");

// print "<pre>"; print_r($_REQUEST); print "</pre>";

$hClusterId = isset($_REQUEST['cluster_id']) ? intval($_REQUEST['cluster_id']) : 0;

// Print Submenu
if ( ($hClusterId == 0) || ($hSubMenu == 'overview') ) {
  // print overview withou submenu
}
else {

  ?>
  <table width="100%" border="1" cellpadding="3" cellspacing="0">
    <tr>
      <?php
      foreach ( $gMenuStructure['replication']['submenu'] as $submenu => $values ) {

        if ( $values['active'] === true ) {
          $url = "index.php?f=show&amp;o=replication&amp;s=" . $submenu . "&amp;cluster_id=" . $hClusterId;
          print '<td align="center"><a href="' . $url . '">' . $values['title'] . "</a></td>\n";
        }
      }
      ?>
    </tr>
  </table>
  <?php
}

if ( $hFunction == 'show' ) {

  // Set default
//   if ( $hSubMenu == '' ) {
//     $hSubMenu = 'overview';
//   }

  if ( $hSubMenu == 'overview' ) {
    include("page/replication.show.overview.php");
  }
  elseif ( $hSubMenu == 'operations' ) {
    include("page/replication.show.operations.php");
  }
  elseif ( $hSubMenu == 'configuration' ) {
    include("page/replication.show.configuration.php");
  }
  elseif ( $hSubMenu == 'checks' ) {
    include("page/replication.show.checks.php");
  }
  elseif ( $hSubMenu == 'vip' ) {
    include("page/replication.show.vip.php");
  }
  /*elseif ( $hSubMenu == 'load-balancer' ) {
    include("page/load-balancer.show.overview.php");
  }*/
  elseif ( $hSubMenu == 'status' ) {
    require_once("page/replication.show.status.php");
  }
  else {
    print "<p>Submenu $hSubMenu does not exist.</p>\n";
  }

}
elseif ( $hFunction == 'create' ) {
  include("page/replication.add.php");
}
elseif ( $hFunction == 'edit' ) {
  include("page/replication.edit.php");
}
elseif ( $hFunction == 'add' ) {
  include("page/replication.add.php");
}
elseif ( $hFunction == 'check_for_safe' ) {
  include("page/replication.check_for_safe.php");
}
elseif ( $hFunction == 'safe' ) {
  include("page/replication.safe.php");
}
elseif ( $hFunction == 'delete' ) {
  include("page/replication.delete.php");
}
elseif ( $hFunction == 'delete_node' ) {
  include("page/replication.delete_node.php");
}
else {
  $rc = 694;
  print "<p>Function $hFunction is not implemented (rc=$rc).</p>\n";
}

?>
