<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

?><h2>Change Master</h2><?php

// print "<pre>"; print_r($aSlaveStatus); print "</pre>";

// Check if Slave is completely stopped
if ( ($aSlaveStatus['Slave_IO_Running'] == 'No') && ($aSlaveStatus['Slave_IO_Running'] == 'No') ) {


  // Try to get password from master.info

  // todo it is hard coded master.info
  list($ret, $output) = catRemoteFile('root', $aNode['hostname'], $aNode['datadir'] . '/' . 'master.info');
  if ( $ret != 0 ) {
    $rc = 553;
    print "<p>Error: $output (rc=$rc).</p>\n";
    $aSlaveStatus['Master_Password'] = '';
  }
  else {
    $aSlaveStatus['Master_Password'] = $output[5];
  }

  ?>
  <form action="index.php" method="post">
  <table>
    <tr><td>MASTER_HOST</td><td><input type="text" name="master_host" value="<?php print $aSlaveStatus['Master_Host']; ?>" /></td></tr>
    <tr><td>MASTER_PORT</td><td><input type="text" name="master_port" value="<?php print $aSlaveStatus['Master_Port']; ?>" /></td></tr>
    <tr><td>MASTER_USER</td><td><input type="text" name="master_user" value="<?php print $aSlaveStatus['Master_User']; ?>" /></td></tr>
    <tr><td>MASTER_PASSWORD</td><td><input type="text" name="master_password" value="<?php print $aSlaveStatus['Master_Password']; ?>" /></td></tr>
    <tr><td>MASTER_LOG_FILE</td><td><input type="text" name="master_log_file" value="<?php print $aSlaveStatus['Master_Log_File']; ?>" /></td></tr>
    <tr><td>MASTER_LOG_POS</td><td><input type="text" name="master_log_pos" value="<?php print $aSlaveStatus['Exec_Master_Log_Pos']; ?>" /></td></tr>
    <tr><td>&nbsp;</td><td></td></tr>
    <tr>
      <td></td>
      <td>
        <input type="submit" value="Change Master" />&nbsp;
        <input type="button" value="Back" onClick="window.history.back();" />
      </td>
    </tr>
  </table>

  <input type="hidden" name="o" value="slave" />
  <input type="hidden" name="f" value="safe" />
  <input type="hidden" name="t" value="change_master" />
  <input type="hidden" name="node_id" value="<?php print $hNodeId; ?>" />

  </form>
  <?php
}
// Slave is NOT completely stopped
// so it does not make sense to CHANGE MASTER
else {
  print "<p>Slave is not stopped. I cannot CHANGE MASTER. Please stop the slave first.</p>\n";
}
?>
