<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

// print "<pre>"; print_r($aVip); print "</pre>";

require_once("lib/Vip.inc");
require_once("lib/Ssh.inc");

$rc = OK;

?><h1>Failover VIP <?php print $aVip['ip_address']; ?></h1><?php

// Check if VIP is started
list($ret, $msg) = checkPing($aVip['ip_address']);

// VIP is stopped
if ( $ret != 0 ) {

  // Change location_id
  if ( $aVip['location_id'] == $aVip['primary_id'] ) {
    $aVip['location_id'] = $aVip['failover_id'];
  }
  else {
    $aVip['location_id'] = $aVip['primary_id'];
  }
  list($ret, $msg) = setVip($dbh, $aVip);
}
// VIP is started
else {

  list($ret, $msg) = stopVip($aVip);

  // Change location_id
  if ( $aVip['location_id'] == $aVip['primary_id'] ) {
    $aVip['location_id'] = $aVip['failover_id'];
  }
  else {
    $aVip['location_id'] = $aVip['primary_id'];
  }
  list($ret, $msg) = setVip($dbh, $aVip);

  list($ret, $msg) = startVip($aVip);
  if ( $ret != 0 ) {
    $rc = 761;
    print "<p>ERROR: " . $msg . " (rc=$rc).</p>\n";
  }

  // Check if VIP is started again
  list($ret, $msg) = checkPing($aVip['ip_address']);
  if ( $ret != 0 ) {
    $rc = 763;
    print "<p>ERROR: VIP did not start again: " . $msg . " (rc=$rc).</p>\n";
  }
}

// No error happened during failover
if ( $rc == OK ) {
  print "<p>Vip failovered succsessfully.</p>\n";
}

?><input type="button" value="Continue" onclick="window.location='index.php?f=show&amp;o=vip&amp;s=operations&amp;vip_id=<?php print $aVip['vip_id']; ?>';" />
